# Generated by Django 3.1.3 on 2020-11-16 20:06

import django.core.validators
from django.db import migrations, models
from django.db import migrations, models
import django.db.models.deletion
try:
    # Django 3.1
    from django.db.models import JSONField as BaseBaseJSONField
except ImportError:
    from django.contrib.postgres.fields import JSONField as BaseJSONField



class Migration(migrations.Migration):

    dependencies = [
        ('django_vr_payment', '0002_auto_20200824_1937'),
    ]

    operations = [
        migrations.AddField(
            model_name='vrpaymentbasicpaymentstatusresponse',
            name='merchant_transaction_id',
            field=models.CharField(default='get_from_basic_payment', help_text='Merchant-provided reference number, should be unique for your transactions. Some receivers require this ID. This identifier is often used for reconciliation.', max_length=255, unique=True, validators=[django.core.validators.MinLengthValidator(8)], verbose_name='Merchant transaction ID'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='vrpaymentcheckoutresponse',
            name='merchant_transaction_id',
            field=models.CharField(default='get_from_basic_payment', help_text='Merchant-provided reference number, should be unique for your transactions. Some receivers require this ID. This identifier is often used for reconciliation.', max_length=255, unique=True, validators=[django.core.validators.MinLengthValidator(8)], verbose_name='Merchant transaction ID'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='vrpaymentwebhookpaymentpayload',
            name='basic_payment',
            field=models.ForeignKey(default='1', on_delete=django.db.models.deletion.CASCADE, related_name='webhook_responses', to='django_vr_payment.vrpaymentbasicpayment', verbose_name='VR Payment Basic Checkouts'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='vrpaymentwebhookpaymentpayload',
            name='merchant_transaction_id',
            field=models.CharField(default='get_from_basic_payment', help_text='Merchant-provided reference number, should be unique for your transactions. Some receivers require this ID. This identifier is often used for reconciliation.', max_length=255, unique=True, validators=[django.core.validators.MinLengthValidator(8)], verbose_name='Merchant transaction ID'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='vrpaymentbasicpaymentstatusresponse',
            name='other',
            field=BaseJSONField(blank=True, help_text="The response can also contain each of the data structures listed above, such as 'customer' and 'billingAddress'.", null=True, verbose_name='Other'),
        ),
        migrations.AlterField(
            model_name='vrpaymentbasicpaymentstatusresponse',
            name='raw_content',
            field=BaseJSONField(help_text='response content as json', verbose_name='Content'),
        ),
        migrations.AlterField(
            model_name='vrpaymentbasicpaymentstatusresponse',
            name='raw_headers',
            field=BaseJSONField(help_text='response header as json', verbose_name='Headers'),
        ),
        migrations.AlterField(
            model_name='vrpaymentbasicpaymentstatusresponse',
            name='result_details',
            field=BaseJSONField(blank=True, help_text='A container for name value pair used for enriching the response with bank-specific response details. I.e. the actual parameters used within resultDetails are bank-specific.', null=True, verbose_name='Result details'),
        ),
        migrations.AlterField(
            model_name='vrpaymentbasicpaymentstatusresponse',
            name='result_details_acquirer_response',
            field=BaseJSONField(blank=True, help_text='Represents the acquirer original response code retrieved from the acquirer directly.', null=True, verbose_name='Result details - Acquirer response'),
        ),
        migrations.AlterField(
            model_name='vrpaymentcheckoutresponse',
            name='other',
            field=BaseJSONField(blank=True, help_text="The response can also contain each of the data structures listed above, such as 'customer' and 'billingAddress'.", null=True, verbose_name='Other'),
        ),
        migrations.AlterField(
            model_name='vrpaymentcheckoutresponse',
            name='raw_content',
            field=BaseJSONField(help_text='response content as json', verbose_name='Content'),
        ),
        migrations.AlterField(
            model_name='vrpaymentcheckoutresponse',
            name='raw_headers',
            field=BaseJSONField(help_text='response header as json', verbose_name='Headers'),
        ),
        migrations.AlterField(
            model_name='vrpaymentcheckoutresponse',
            name='result_details',
            field=BaseJSONField(blank=True, help_text='A container for name value pair used for enriching the response with bank-specific response details. I.e. the actual parameters used within resultDetails are bank-specific.', null=True, verbose_name='Result details'),
        ),
        migrations.AlterField(
            model_name='vrpaymentcheckoutresponse',
            name='result_details_acquirer_response',
            field=BaseJSONField(blank=True, help_text='Represents the acquirer original response code retrieved from the acquirer directly.', null=True, verbose_name='Result details - Acquirer response'),
        ),
        migrations.AlterField(
            model_name='vrpaymentwebhook',
            name='decrypted_body',
            field=BaseJSONField(help_text='The decrypted request.body in JSON', verbose_name='Decrypted body'),
        ),
        migrations.AlterField(
            model_name='vrpaymentwebhook',
            name='raw_headers',
            field=BaseJSONField(help_text='response header as json', verbose_name='Headers'),
        ),
        migrations.AlterField(
            model_name='vrpaymentwebhookpaymentpayload',
            name='other',
            field=BaseJSONField(blank=True, help_text="The response can also contain each of the data structures listed above, such as 'customer' and 'billingAddress'.", null=True, verbose_name='Other'),
        ),
        migrations.AlterField(
            model_name='vrpaymentwebhookpaymentpayload',
            name='raw_content',
            field=BaseJSONField(help_text='response content as json', verbose_name='Content'),
        ),
        migrations.AlterField(
            model_name='vrpaymentwebhookpaymentpayload',
            name='raw_headers',
            field=BaseJSONField(help_text='response header as json', verbose_name='Headers'),
        ),
        migrations.AlterField(
            model_name='vrpaymentwebhookpaymentpayload',
            name='result_details',
            field=BaseJSONField(blank=True, help_text='A container for name value pair used for enriching the response with bank-specific response details. I.e. the actual parameters used within resultDetails are bank-specific.', null=True, verbose_name='Result details'),
        ),
        migrations.AlterField(
            model_name='vrpaymentwebhookpaymentpayload',
            name='result_details_acquirer_response',
            field=BaseJSONField(blank=True, help_text='Represents the acquirer original response code retrieved from the acquirer directly.', null=True, verbose_name='Result details - Acquirer response'),
        ),
    ]
